How to use HPS in Vietnam region (VAST Data)?
Initial Setup
To start using File Storage - High Performance (HPS), please get in touch with the FPT Support team.
After providing the required information, your account will be activated with the service, a quota will be assigned, and the feature will be enabled on the FPT Cloud console.
Required Information
| # | Item | Unit | Required | Description |
|---|---|---|---|---|
| 1 | Tenant/ Region | — | Yes | The Tenant and Region where you want to enable the File Storage - High Performance service. |
| 2 | Storage Quota | GB | Yes | The amount of storage capacity you plan to use. |
| 3 | Subnet | Subnet CIDR |
| Please provide the list of subnets that require access so the FPT support team can configure them. |
| 4 | Performance | IOPS | No | Desired IOPS performance (if not provided, the default limit will be applied). |
| 5 | Bandwidth | Gbps | No | Desired bandwidth (if not provided, the default limit will be applied). |
Use with Metal Cloud (a Bare Metal GPU server)
{% hint style="warning" %} Notes:
- Each subnet has its own endpoint for connecting to the file storage system.
- Always verify the endpoint and configuration details provided before performing the mount operation to avoid setup errors. {% endhint %}
Use FPT Images
If you are using an image provided by FPT, the VAST client is pre-installed. Follow the steps below to mount the File Storage.
{% stepper %} {% step %} Create a Mount Point in OS
# Create Mount Point
mkdir /mnt/hps
{% endstep %}
{% step %} Mount the File System manually
Mount via TCP
mount -o proto=tcp,vers=3 10.101.33.1:/test /mnt/hps
mount -o proto=tcp,vers=3,nconnect=16 10.101.33.1:/mountpoint /mnt/hps
Mount via RDMA
mount -o proto=rdma,port=20049,vers=3 10.101.33.1:/mountpoint /mnt/hps
mount -o proto=rdma,port=20049,nconnect=16,vers=3 10.101.33.1:/mountpoint /mnt/hps
Mount via Multi-Path RDMA
sudo mount -v -o vers=3,proto=rdma,port=20049,spread_reads,spread_writes,nconnect=16,localports=10.101.32.41,remoteports=10.101.33.1-10.101.33.64 10.101.33.1:/test /mnt/hps
{% endstep %}
{% step %} Auto-Mount Configuration
To automatically mount the VAST file system after reboot, add the following entry to /etc/fstab:
Then, verify the configuration:
mount -a
{% endstep %} {% endstepper %}
Use custom images
{% stepper %} {% step %} Install VAST NFS Client
apt update && apt install -y nfs-common dpkg-dev autotools-dev debhelper curl
curl -sSf https://s3-sgn10.fptcloud.com/file-storage-resource/download.sh | bash -s
tar xvf vastnfs-*.tar.xz
cd vastnfs-*/
./build.sh bin
sudo apt install ./dist/*.deb
sudo depmod -a
sudo update-initramfs -u -k $(uname -r)
sudo apt update
sudo apt install nfs-common -y
sudo reboot
{% endstep %}
{% step %} Create a Mount Point
mkdir /mnt/hps
{% endstep %}
{% step %} Mount the File System
{% hint style="warning" %}
Note: Replace 10.101.33.1 with the endpoint provided by the support team.
{% endhint %}
Mount via TCP
mount -o proto=tcp,vers=3 10.101.33.1:/test /mnt/hps
mount -o proto=tcp,vers=3,nconnect=16 10.101.33.1:/mountpoint /mnt/hps
Mount via RDMA
mount -o proto=rdma,port=20049,vers=3 10.101.33.1:/mountpoint /mnt/hps
mount -o proto=rdma,port=20049,nconnect=16,vers=3 10.101.33.1:/mountpoint /mnt/hps
Mount via Multi-Path RDMA
sudo mount -v -o vers=3,proto=rdma,port=20049,spread_reads,spread_writes,nconnect=16,localports=10.101.32.41,remoteports=10.101.33.1-10.101.33.64 10.101.33.1:/test /mnt/hps
{% endstep %}
{% step %} Auto-Mount Configuration
To automatically mount the file system after reboot, add the following line to /etc/fstab:
10.101.33.1:/test /mnt/hps nfs vers=3,proto=rdma,port=20049,spread_reads,spread_writes,nconnect=16,localports=10.101.32.41,remoteports=10.101.33.1-10.101.33.64 0 0
Then verify:
Then, verify the configuration:
mount -a
{% endstep %} {% endstepper %}
Use with a GPU Virtual machine
{% stepper %} {% step %}
Attach a Network Interface and Configure the IP Address
Step 1:
To connect to HPS Storage for H100, you need to attach a network interface using the pre-created subnet vm-gpu-hps-net-xxx, found under Network > Subnets.
Attach the Network Interface
- Go to Instance Management.
- Select your target VM GPU.
- Open the Network Interface tab.
- Click Create NIC.
- Select the network named
vm-gpu-hps-net-xxx.
Configure the Network
After attaching the interface, log in to your server and manually configure the network settings if DHCP is not enabled for that interface.
{% step %}
Install the NFS Client
sudo apt update
sudo apt install nfs-common -y
sudo reboot
{% endstep %}
{% step %} Create a Mount Point
mkdir /mnt/hps
{% endstep %}
{% step %} Mount the File System
{% hint style="warning" %}
Note: Replace 10.101.33.1 with the endpoint provided by the support team.
{% endhint %}
Mount via TCP
mount -o proto=tcp,vers=3 10.101.33.1:/test /mnt/hps
mount -o proto=tcp,vers=3,nconnect=16 10.101.33.1:/mountpoint /mnt/hps
{% endstep %}
{% step %} Auto-Mount Configuration
To automatically mount the file system after reboot, add the following line to /etc/fstab:
10.101.33.1:/test 10.101.33.1:/ /mnt/hps nfs vers=3 0 0
Then, verify the configuration:
mount -a
{% endstep %} {% endstepper %}
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on the current page URL with the ask query parameter:
GET https://ai-docs.fptcloud.com/fpt-gpu-cloud/high-performance-storage/tutorials/how-to-use-hps-in-vietnam-region-vast-data.md?ask=<question>
The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.